package cn.datax.learning.design.patterns.behavioral.iterator;

public class NameRepository implements Container {

    public String names[] = {"Robert" , "John" ,"Julie" , "Lora"};

    @Override
    public Iterator getIterator() {
        return new StringArrayIterator(names);
    }
}
